%define fname   tuxtype_w_fonts
 
Summary:        Educational typing tutor game starring Tux
Summary(de):	Spielerisch tippen lernen mit Tux
Name:           tuxtype
Version:        1.8.1
Release:        %mkrel 3
Source0:        %{fname}-%{version}.tar.xz
URL:            http://tux4kids.alioth.debian.org/tuxtyping.php
License:        GPLv2+
Group:          Education
BuildRequires:  %{_lib}SDL-devel >= 1.2.5
BuildRequires:  %{_lib}SDL_image-devel >= 1.2.3
BuildRequires:  %{_lib}SDL_mixer1.2-devel >= 1.2.5
BuildRequires:  %{_lib}SDL_ttf-devel >= 2.0.5
BuildRequires:  %{_lib}SDL_Pango-devel librsvg2-devel ImageMagick
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:       tuxtype2 = %{version}-%{release}
Obsoletes:      tuxtype2
 
%description
Tux Typing is an educational typing tutor game starring Tux, the Linux
penguin. It is graphical and requires SDL to run. This is a stable
release.

%description -l de
Mit TuxTyping kann spielerisch tippen gelernt werden. Dabei spielt Tux 
- der Linux-Pinguin die Hauptrolle. Der Spieler steuert Tux, um Fische 
zu essen, welche von oben in das Spielfeld fallen. Jeder Fisch trägt 
einen Buchstaben. Wenn der Spieler die jeweilige Taste drückt, 
positioniert sich Tux an der richtigen Stelle, um den Fisch zu fressen. 
Das Spiel ist für Kinder zum Tippen lernen gedacht, obwohl in den höheren 
Spielstufen auch erfahrene Leute eine Herausforderung finden können.
 
%prep
%setup -q -n %{fname}-%{version}
# Fix incorrect paths hardcoded into the source (#46417) - AdamW
sed -i -e 's,/usr/share/fonts/truetype/ttf-.*/,%{_gamesdatadir}/%{name}/fonts/,g' src/loaders.c
sed -i -e 's,/usr/share,%{_gamesdatadir},g' src/setup.c

# remove the chown command from here and handle it in the file list
sed -i 's,chown root:games $(DESTDIR)$(pkglocalstatedir)/words,#&,' Makefile.{am,in}
 
%build
%configure2_5x	--disable-rpath \
		--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--localstatedir=%{_localstatedir}/lib \
		--sysconfdir=%{_sysconfdir}
%make
 
%install
rm -rf %{buildroot}
%{makeinstall_std}
rm -fr %{buildroot}%{_prefix}/doc/tuxtype
 
install -d %{buildroot}%{_datadir}/applications
cat <<EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=TuxType
Comment=Educational typing tutor game starring Tux
Comment[de]=Spielerisch tippen lernen mit Tux
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;KidsGame;Educational;Teaching;X-MandrivaLinux-MoreApplications-Education-Other;
EOF
 
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -scale 16x16 %{name}.ico %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -scale 32x32 %{name}.ico %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 48x48 %{name}.ico %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
 
%find_lang %{name}
 
 
%clean
rm -rf %{buildroot}
 
%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README doc/en/howtotheme.html
%_datadir/doc/tuxtype/*
%{_sysconfdir}/%{name}
%{_gamesbindir}/%{name}
%{_datadir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_localstatedir}/lib/%{name}
%attr(-,root,games) %{_localstatedir}/lib/%{name}/words
 
%changelog
* Sat Jan 11 2014 daniel <meisssw01 at gmail.com> 1.8.1-3free2014
- rebuild for 64bit
- add german description
- add BR macros

* Wed Feb 03 2011 Chomp <chomptheman@gmail.com> 1.8.1-2pclos2010
- added chown fix, configure options, and updated file list from mandy spec

* Mon Nov 22 2010 Aradalf <aradalf at rocketmail dot com> 1.8.1-1pclos2010
- Updated
 
* Mon Nov 22 2010 Texstar <texstar at gmail.com> 1.8.0-2pclos2010
- convert source to tar.xz
 
* Fri Oct 22 2010 MBantz <martin dot bantz at gmail dot com> 1.8.0-1pclos2010
- Updated
 
* Fri Jun 05 2009 pcserver <pcserver@hushmail.com> 1.7.4-1pclos2009
- 1.7.4
